package com.inspect.metadata.montdata.service.impl;

import com.inspect.metadata.montdata.domain.BasedataMontPatDevCoord;
import com.inspect.metadata.montdata.mapper.BasedataMontPatDevCoordMapper;
import com.inspect.metadata.montdata.service.IBasedataMontPatDevCoordService;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class BasedataMontPatDevCoordServiceImpl implements IBasedataMontPatDevCoordService {
    @Resource
    private BasedataMontPatDevCoordMapper basedataMontPatdevcoordMapper;

    public BasedataMontPatDevCoord selectBasedataMontPatDevCoordByMontPatDevCoordId(Long montPatDevCoordId) {
        return this.basedataMontPatdevcoordMapper.selectBasedataMontPatDevCoordByMontPatDevCoordId(montPatDevCoordId);
    }

    public List<BasedataMontPatDevCoord> selectBasedataMontPatDevCoordList(BasedataMontPatDevCoord basedataMontPatDevCoord) {
        return this.basedataMontPatdevcoordMapper.selectBasedataMontPatDevCoordList(basedataMontPatDevCoord);
    }

    public int insertBasedataMontPatDevCoord(BasedataMontPatDevCoord basedataMontPatDevCoord) {
        return this.basedataMontPatdevcoordMapper.insertBasedataMontPatDevCoord(basedataMontPatDevCoord);
    }

    public int updateBasedataMontPatDevCoord(BasedataMontPatDevCoord basedataMontPatDevCoord) {
        return this.basedataMontPatdevcoordMapper.updateBasedataMontPatDevCoord(basedataMontPatDevCoord);
    }

    public int deleteBasedataMontPatDevCoordByMontPatDevCoordIds(Long[] montPatDevCoordIds) {
        return this.basedataMontPatdevcoordMapper.deleteBasedataMontPatDevCoordByMontPatDevCoordIds(montPatDevCoordIds);
    }

    public int deleteBasedataMontPatDevCoordByMontPatDevCoordId(Long montPatDevCoordId) {
        return this.basedataMontPatdevcoordMapper.deleteBasedataMontPatDevCoordByMontPatDevCoordId(montPatDevCoordId);
    }
}
